<?
  // Anthill
  // $Id: index.php,v 1.20 2003/11/07 05:05:21 vdanen Exp $

  include("include.php");

  d_StartPage(gettext("Welcome to Anthill"));
  d_DrawNav($_USER['uname']);

  if (isset($_USER['uname'])) {
    $string_logout   = "<a href=\"logout.php\">" . gettext("Logout") . "</a><br />";
    $string_pref     = "<a href=\"pref.php\">" . gettext("Preferences") . "</a><br />";
    $string_submit   = "<a href=\"enterbug.php\">" . gettext("Submit a bug") . "</a><br />";
    $string_reported = "<a href=\"buglist.php?type=reporternew\">" . gettext("New bugs you reported") . "</a><br />";
    $string_open     = "<a href=\"buglist.php?type=mine&myclass=new\">" . gettext("Your open bugs") . "</a><br />";
  } else {
    $string_login    = "<a href=\"login.php\">" . gettext("Login") . "</a><br />";
    if ($config['newusers'] == 1) {
      $string_newu   = "<a href=\"newuser.php\">" . gettext("Create new account") . "</a><br />";
    }
  }
  if (isset($_USER['uname']) || $config['newusers'] == 1) {
    $string_unres   = "<a href=\"buglist.php?type=unres\">" . gettext("Unresolved bugs") . "</a><br />";
    $string_val     = "<a href=\"buglist.php?type=all&allclass=7\">" . gettext("Bugs requiring validation") . "</a><br />";
    $string_summ    = "<a href=\"reports.php\">" . gettext("Summary reports") . "</a><br />";
    $string_text    = "<a href=\"textreport.php\">" . gettext("Downloadable text reports") . "</a><br />";
    $string_header2 = gettext("Problem Tracking");
  }
  $string_faq       = "<a href=\"faq.php\">" . gettext("Problem tracking help") . "</a><br />";
  $string_header1   = gettext("Accounting");
  $string_welcome   = sprintf(gettext("Welcome to %s Anthill"), $config['sitename']);
  $string_content   = stripslashes($config['siteblurb']);
  
  $sidebar = <<<EOT
  <table border="0" cellpadding="0" cellspacing="0" align="center" width="95%">
    <tr>
      <td>
        <table border="0" cellpadding="0" cellspacing="0" align="center" bgcolor="#000000" width="100%">
          <tr>
            <td>
              <table border="0" cellpadding="2" cellspacing="2" width="100%">
                <tr>
                  <td bgcolor="#dddddc" width="100%">
                    <big><b>$string_welcome</b></big>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
  <br /><br />
  <table border="0" cellpadding="0" cellspacing="0" align="center" width="95%">
    <tr>
      <td width="20%" valign="top">
        <table border="0" cellpadding="1" cellspacing="0" width="100%">
          <tr>
            <td valign="top" bgcolor="{$config['barcol1']}">
              <b>$string_header1</b>
            </td>
          </tr>
          <tr>
            <td valign="top"><br />
              $string_login
              $string_logout
              $string_newu
              $string_pref
              $string_faq
              <br />
            </td>
          </tr>
          <tr>
            <td valign="top" bgcolor="{$config['barcol1']}">
              <b>$string_header2</b>
            </td>
          </tr>
          <tr>
            <td valign="top"><br />
              $string_submit
              $string_reported
              $string_open
              $string_unres
              $string_val
              $string_summ
              $string_text
              <br />
            </td>
          </tr>
        </table>
      </td>
      <td width="5%">&nbsp;</td>
      <td width="75%" valign="top">
        $string_content
      </td>
    </tr>
  </table>
EOT;

  print($sidebar);
  d_DrawFooter();
?>