<?
  // Anthill
  // $Id: showattachment.php,v 1.10 2003/11/21 06:18:08 vdanen Exp $

  include("include.php");

  // set variables
  if (isset($_SERVER['PATH_INFO'])) { $fname = ereg_replace("^/","",$_SERVER['PATH_INFO']); } else { $fname = NULL; }
  if (isset($_REQUEST['id']))       { $id    = $_REQUEST['id'];                             } else { $id    = NULL; }

  if ($id != "") { // we need to redirect
    $db->query("SELECT * FROM attachidx WHERE atid = $id");
    $db->next_record();
    $fname = $db->record['filename'];
    $db->free();
    header("Location: " . $_CONF['webroot'] . "/showattachment.php/$id/$fname");
    exit;
  }

  $f     = explode("/",$fname);
  $id    = $f[0];
  $fname = $f[1];

  $db->query("SELECT * FROM attachidx WHERE atid = $id");
  $db->next_record();
  $attach = $db->record;
  $bug    = $attach['bid'];
  $atid   = $attach['atid'];
  $type   = $attach['mimetype'];
  $name   = $attach['filename'];
  $db->free();

  if ($fname != $name) {
    d_StartPage(gettext("Invalid Attachment"));
    d_DrawNav($_USER['uname']);
    d_DrawHeader(gettext("Invalid Attachment"));
    print(gettext("The attachment you selected is unlisted."));
    d_DrawFooter();
    exit();
  }  

  // if attachment is not found in the database, print error and exit
  if (!isset($atid)) {
    d_StartPage(gettext("Invalid Attachment"));
    d_DrawNav($_USER['uname']);
    d_DrawHeader(gettext("Invalid Attachment"));
    print(gettext("The attachment you selected is unlisted."));
    d_DrawFooter();
    exit();
  }

  $db->query("SELECT * FROM bugs WHERE bid = $bug");
  $db->next_record();
  $private = $db->record['private'];
  $db->free();

  if ($private == 1 && !isset($_USER['uid'])) {
      d_StartPage(gettext("Invalid Authorization"));
      d_DrawNav($_USER['uname']);
      d_DrawHeader(gettext("Invalid Authorization"));
      print(gettext("The bug you selected is marked private and is not available to unregistered users."));
      d_DrawFooter();
      exit();
  }

  $downlink = $_CONF['webroot'] . $_CONF['attachdir'] . "/" . $id . "/" . $name;
  $downdir  = $_CONF['root'] . $_CONF['attachdir'] . "/" . $id;

  // old versions of anthill used attach/[attachidx] but now we want to use attach/[attachidx]/[filename]
  // so if the old file exists, we have to create a directory and move it... this prevents us from using any
  // kind of upgrade script
  if (file_exists($downdir) && is_file($downdir)) {
    $newfile = tempnam($_CONF['tmpdir'], $id . ".moving.");
    rename($downdir, $newfile) or die ("Cannot move $downdir to $newfile");
  }
  // make the dir if it doesn't exist
  if (!is_dir($downdir)) {
    @mkdir($downdir, octdec("0755"));
  }
  // if we are moving a file, let's move it
  if (file_exists($newfile)) {
    rename($newfile, $downdir . "/" . $name);
  }

  $attach = $_CONF['root'] . $_CONF['attachdir'] . "/" . $id . "/" . $name;
  $fp   = fopen($attach, "r");
  $data = fread($fp, filesize($attach));
  fclose($fp);
  header("Content-type: $type\n\n");
  print($data);
?>
